<?php
/**
 * niva store Theme Customizer
 *
 * @package niva_store
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function niva_store_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '#site-title a',
				'render_callback' => 'niva_store_customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '#site-description',
				'render_callback' => 'niva_store_customize_partial_blogdescription',
			)
		);
	}
}
add_action( 'customize_register', 'niva_store_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function niva_store_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function niva_store_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function niva_store_customize_preview_js() {
	wp_enqueue_script( 'niva-store-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), niva_store_theme_version, true );
}
add_action( 'customize_preview_init', 'niva_store_customize_preview_js' );

// upsell options
require get_template_directory() . '/inc/admin/customizer-upsell/theme-upsell.php';